#!/bin/bash

FRONTEND="/usr/local/cpanel/base/frontend"
WHOSTMGR="/usr/local/cpanel/whostmgr/docroot/cgi"
PRESCRIPTS="/home/pre-scripts/scripts/"
GITBIN="/usr/local/cpanel/3rdparty/bin/git"
moni_script='/opt/cpinst/moni_script/'

# yum update
yum -y update

# renew cpinst
cd /opt
rm -rf /opt/cpinst
/usr/bin/git clone git@git.twnoc.net:twnoc/cpinst.git

# install and update postupcp.php & postupcp_functions.php file
#/usr/bin/cp -Rp $moni_script"postupcp.php" $PRESCRIPTS
#/usr/bin/cp -Rp $moni_script"postupcp_functions.php" $PRESCRIPTS
#/usr/local/cpanel/3rdparty/bin/php -d max_execution_time=1000000 -q $PRESCRIPTS"postupcp.php"

#/usr/bin/cp -Rp $moni_script"cat_hash.php" $WHOSTMGR
#chmod 0700 $WHOSTMGR/cat_hash.php

# 2006/02/03 - Add fix404errors
#/usr/bin/cp -Rp $moni_script"404.shtml" "/root/cpanel3-skel/public_html/"
#/usr/bin/cp -Rp $moni_script"fix404errors" $PRESCRIPTS
#chmod 0700 $PRESCRIPTS"fix404errors"
#$PRESCRIPTS"fix404errors"

# csf.php
mkdir -p $WHOSTMGR/unblockip
/usr/bin/cp -Rp $moni_script"csf.php" $WHOSTMGR/unblockip

# update CXS CSF
if [ -e /usr/sbin/cxs ]; then
/usr/sbin/cxs -U
systemctl stop cxswatch
systemctl disable cxswatch
fi
if [ -e /usr/sbin/csf ]; then
/usr/sbin/csf -u
fi

# set phpmyadmin default language
sed -i 's/\/\/$cfg..DefaultLang.*en../$cfg["DefaultLang"] = "zh_TW";/g' /usr/local/cpanel/base/3rdparty/phpMyAdmin/config.inc.php

# For security reason... 
#chmod 750 /usr/bin/links
#chmod 700 /usr/bin/rcp
#chmod 755 /usr/bin/wget
chmod 700 /usr/bin/lynx
chmod 700 /usr/bin/scp
#chmod 0400 /proc/sys/kernel/hostname
chmod 0400 /proc/version
chmod 0700 /usr/bin/who
#chmod 0644 /proc/cpuinfo
#chmod 0700 /sbin/lspci
#chmod 0400 /proc/pci
chmod 0400 /proc/scsi/scsi
#chmod 0700 /sbin/lsusb
chmod 0400 /proc/bus/usb/devices
chmod 0700 /bin/df
#chmod 0400 /proc/stat
chmod 0400 /proc/partitions
chmod 0400 /proc/loadavg
#chmod 0400 /proc/ide/ide0/hda/model
chmod 0444 /proc/net/dev

# update kernelcare
if [ -e /usr/bin/kcarectl ]; then
	/usr/bin/kcarectl --update
fi

# update cloudflare
#if [ -e /usr/local/cpanel/bin/cloudflare_update.sh ]; then
#        sh /usr/local/cpanel/bin/cloudflare_update.sh force
#fi

# fix owner problem /usr/local/cpanel/base/frontend/paper_lantern/styled/
if [ -e /usr/share/cloudlinux-linksafe/cpanel/hooks/cloudlinux_linksafe_hook.sh ]; then
	/usr/share/cloudlinux-linksafe/cpanel/hooks/cloudlinux_linksafe_hook.sh
fi

# update CageFS
if [ -e /usr/share/cagefs/cpanel/cagefs_postupcp_hook.sh ]; then
	/usr/share/cagefs/cpanel/cagefs_postupcp_hook.sh 
fi

# disable upgrade mysql
if [ -e /usr/share/lve/dbgovernor/cpanel/upgrade-mysql-disabler.sh ]; then
	/usr/share/lve/dbgovernor/cpanel/upgrade-mysql-disabler.sh
fi

